Skip to main content
POST
/
api
/
v1
/
curator
/
route-and-process
Route and Process via Curator
curl --request POST \
  --url https://alfred.black/api/v1/curator/route-and-process \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input_path": "input/vendor-invoice-march.md",
  "destination": "project/Billing",
  "routing_context": {
    "assigned_to": "person/David",
    "process": "invoice-handling",
    "instinct_name": "Invoice Processing",
    "confidence_score": 0.87
  }
}
'
{
  "processed": true,
  "note_path": "note/2026/03/vendor-invoice-march.md",
  "entities_created": [
    "org/Vendor Corp.md"
  ],
  "entities_linked": [
    "person/David.md",
    "project/Billing.md"
  ],
  "observation_path": "observation/route-vendor-invoice-march-2026-03-22T08-30-00-000Z.md"
}

Authorizations

Authorization
string
header
required

API key in the format alf_<32 hex chars>. Pass in the Authorization header as Bearer alf_....

Body

application/json
input_path
string
required

Vault-relative path to the input file (e.g., input/email-abc.md)

destination
string
required

Target vault destination (e.g., project/Billing)

routing_context
object

Routing metadata from the Judgment engine

Response

Input routed and processed

processed
boolean

Whether the Curator successfully processed the input

note_path
string | null

Path to the note created by the Curator

entities_created
string[]

Entity records created during processing

entities_linked
string[]

Entity records linked during processing

observation_path
string

Path to the observation record written